# Interface RcsbFvCustomContextManagerInterface<R, L, S>

Main Event Data Object Interface

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFvCustomContextManagerInterface

- Defined in src/RcsbFvContextManager/RcsbFvCustomContextManager.ts:7

#####
Index

### Properties

eventData
eventType

## Properties

### eventData

eventData: string | UpdateConfigInterface<R, L, S> | ((plugin) => void)

#### Type declaration

- - (plugin): void

  - #### Parameters

    - ##### plugin: PluginContext

    #### Returns void

- Defined in src/RcsbFvContextManager/RcsbFvCustomContextManager.ts:9

### eventType

eventType: EventType

- Defined in src/RcsbFvContextManager/RcsbFvCustomContextManager.ts:8

Generated using TypeDoc